


<ion-header>
  <!-- Color rojo de el navbar -->
  <ion-navbar color="danger">
      <button ion-button menuToggle icon-only>
          <ion-icon name='menu'></ion-icon>
        </button>
    <ion-title>Contando personas</ion-title>
  </ion-navbar>
</ion-header>


<ion-menu [content]="content">
  <ion-header>
    <ion-toolbar>
      <ion-title>Configuracion</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content>
    <ion-list>
      <ion-item>
          <ion-label stacked>Recorrido</ion-label>
          <ion-input type="text" value="" name="recorrido" [(ngModel)]="recorrido"></ion-input>
      </ion-item>
      <ion-item>
          <ion-label stacked>Patente</ion-label>
          <ion-input type="text" value="" name="patente" [(ngModel)]="patente"></ion-input>
      </ion-item>
      <ion-item>
          <ion-label stacked>Intervalo (Segundos)</ion-label>
          <ion-input type="number" value="" name="intervalo" [(ngModel)]="intervalo"></ion-input>
      </ion-item>
      <br/>
      <div style="width:100%; text-align:center;">
      <button ion-button (click)="guardaConfiguracion()" style="margin:1em;">
        Grabar
      </button>
    </div>
    </ion-list>
  </ion-content>
</ion-menu>

<ion-nav id="nav" #content [root]="rootPage"></ion-nav>

<ion-content padding>
  <ion-row margin>
    <ion-card>
      <!-- Si la imagen existe, mostramos su vista previa -->
      <img *ngIf="imagen" [src]="'data:image/png;base64,' + imagen" />
    </ion-card>
  </ion-row>

  <!-- Si existe ya un resultado, mostraremos lo siguiente -->
  <ion-col *ngIf="resultado">

      <!-- Recorremos la variable labels -->
      <ion-chip color="primary" *ngFor="let label of labels" style="width: 100%;text-align: center;">

        <!-- Mostramos una por una -->
        <ion-label>{{ label }}</ion-label><br>

      </ion-chip>

  </ion-col>
  <!-- Boton flotante que ejecuta la funcion tomarFoto() -->
  <ion-fab bottom right>
    <button color="danger" ion-fab (click)="tomarFoto()">
      <ion-icon name="camera"></ion-icon>
    </button>
  </ion-fab>
</ion-content>